local path = vim.fs.find({ 'go.mod', 'go.work', '.git' }, { type = "file" })
local root = vim.fs.dirname(path[1])

vim.lsp.start({
  name      = "gopls",
  cmd       = { "gopls" },
  root_dir  = root,
  filetypes = { 'go', 'gomod', 'gowork', 'gotmpl' },
})
